# Uses of Interface
org.springframework.core.io.support.ResourcePatternResolver

Packages that use ResourcePatternResolver
Package
Description
org.springframework.core.io.support
Support classes for Spring's resource abstraction.

## Uses of ResourcePatternResolver in org.springframework.core.io.support

Classes in org.springframework.core.io.support that implement ResourcePatternResolver
Modifier and Type
Class
Description
`class`
`PathMatchingResourcePatternResolver`
A `ResourcePatternResolver` implementation that is able to resolve a specified resource location path into one or more matching Resources.
Methods in org.springframework.core.io.support that return ResourcePatternResolver
Modifier and Type
Method
Description
`static ResourcePatternResolver`
ResourcePatternUtils.`getResourcePatternResolver(ResourceLoader resourceLoader)`
Return a default `ResourcePatternResolver` for the given `ResourceLoader`.
Constructors in org.springframework.core.io.support with parameters of type ResourcePatternResolver
Modifier
Constructor
Description
``
`ResourceArrayPropertyEditor(ResourcePatternResolver resourcePatternResolver, PropertyResolver propertyResolver)`
Create a new ResourceArrayPropertyEditor with the given `ResourcePatternResolver` and `PropertyResolver` (typically an `Environment`).
``
`ResourceArrayPropertyEditor(ResourcePatternResolver resourcePatternResolver, PropertyResolver propertyResolver, boolean ignoreUnresolvablePlaceholders)`
Create a new ResourceArrayPropertyEditor with the given `ResourcePatternResolver` and `PropertyResolver` (typically an `Environment`).